Loading...
Searching...
No Matches
Opm::ExceptionType Namespace Reference

This class implements a deferred logger: 1) messages can be pushed back to a vector 2) a call to logMessages adds the messages to OpmLog backends. More...

## Enumerations

enum | ExcEnum { NONE = 0 , RUNTIME_ERROR = 1 , INVALID_ARGUMENT = 2 , LOGIC_ERROR = 3 , DEFAULT = 4 , NUMERICAL_ISSUE = 5 }

## Detailed Description

This class implements a deferred logger: 1) messages can be pushed back to a vector 2) a call to logMessages adds the messages to OpmLog backends.